# GNUmakefile          Section: 11.6, Euler Number
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES	=
CLOSUREOBJS		=

HEADERS	= euler.h
LOBJS	= euler.o

SOURCES	= \
	test-euler.c \
	euler.h euler.c euler-lut.c \
	euler.pattern.1.c  euler.pattern.2.c \
	euler.pattern.3.c  euler.pattern.4.c \
	euler.pattern.5.c  euler.pattern.6.c \
	euler.pattern.7.c
TESTS 	= \
	test-euler  test-euler-lut \
	euler.pattern.1  euler.pattern.2 \
	euler.pattern.3  euler.pattern.4 \
	euler.pattern.5  euler.pattern.6 \
	euler.pattern.7

ARL		=
EXTRAINCLUDES	=
CPPFLAGS	=

OUTPUT_OPTION	=
TARGET_ARCH	=
XTRAFLAGS	=
XTRACCFLAGS	=

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include ../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)

euler.o:	euler.h euler.c

test-euler.o:	test-euler.c  euler.h

test-euler:	test-euler.o  euler.o
	${LINK.cc} -o $@ $@.o euler.o ${LDLIBS}
	strip $@


euler-lut.o:	euler.h euler-lut.c

test-euler-lut:	test-euler.o euler-lut.o
	${LINK.cc} -o $@ test-euler.o euler-lut.o ${LDLIBS}
	strip $@

euler-pattern.1.o:	euler-pattern.1.c
euler-pattern.2.o:	euler-pattern.2.c
euler-pattern.3.o:	euler-pattern.3.c
euler-pattern.4.o:	euler-pattern.4.c
euler-pattern.5.o:	euler-pattern.5.c
euler-pattern.6.o:	euler-pattern.6.c
euler-pattern.7.o:	euler-pattern.7.c

else

test-euler.o:	test-euler.c

endif
